package com.ycwl.basic.service.pc;

import com.github.pagehelper.PageInfo;
import com.ycwl.basic.model.pc.project.entity.ProjectEntity;
import com.ycwl.basic.model.pc.project.req.ProjectReqQuery;
import com.ycwl.basic.model.pc.project.resp.ProjectRespVO;

import java.util.List;

/**
 * 景区项目管理服务接口
 * 
 * @Author: Claude
 * @Date: 2025-01-15
 */
public interface ProjectService {
    
    /**
     * 分页查询项目列表
     */
    PageInfo<ProjectRespVO> pageQuery(ProjectReqQuery projectReqQuery);
    
    /**
     * 查询项目列表
     */
    List<ProjectRespVO> list(ProjectReqQuery projectReqQuery);
    
    /**
     * 根据ID查询项目详情
     */
    ProjectRespVO getById(Long id);
    
    /**
     * 新增或修改项目
     */
    int addOrUpdate(ProjectEntity project);
    
    /**
     * 删除项目
     */
    int delete(Long id);
    
    /**
     * 更新项目状态
     */
    int updateStatus(Long id);
}